using System;
using System.Collections.Generic;
using System.Text;
using System.Web.Security;
using Vevo.Shared.Domain.SystemServices;

namespace Vevo.Shared.SystemServices
{
    public class SystemMembershipUser : IMembershipUser
    {
        #region Private

        private MembershipUser _user;

        #endregion


        #region Constructors

        public SystemMembershipUser( MembershipUser user )
        {
            _user = user;
        }

        #endregion


        #region IMembershipUser Members

        public void UnlockUser()
        {
            _user.UnlockUser();
        }

        public string ResetPassword()
        {
            return _user.ResetPassword();
        }

        public bool VerifyPassword( string password )
        {
            return Membership.ValidateUser( _user.UserName, password );
        }

        #endregion


        #region Public Methods

        #endregion

    }
}
