﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Vevo.Domain.DataInterfaces;
using Vevo.Domain.GoogleFeed;
using System.Data;
using Vevo.Shared.DataAccess;
using Vevo.Shared.Utilities;
using System.Collections;
using Vevo.Data.Implementation;
using Vevo.Domain;
using Vevo.Base.Domain;

namespace Vevo.Data
{
    public class GoogleFeedMappingRepositoryNoCache : IGoogleFeedMappingRepository
    {
        #region Private

        GoogleSpecMappingAccess _specMappingAccess = new GoogleSpecMappingAccess();
        GoogleOptionMappingAccess _optionMappingAccess = new GoogleOptionMappingAccess();
        
        #endregion

        #region Public GoogleSpecMapping Call

        public GoogleSpecMapping SaveGoogleSpecMapping( Culture culture, GoogleSpecMapping googleSpecMapping )
        {
            return _specMappingAccess.Save( culture, googleSpecMapping );
        }

        public IList<TableSchemaItem> GetGoogleSpecMappingTableSchema()
        {
            return _specMappingAccess.GetTableSchema();
        }

        public void DeleteGoogleSpecMapping( string googleFeedTagValueID, string specificationValue )
        {
            _specMappingAccess.Delete( googleFeedTagValueID, specificationValue );
        }

        public GoogleSpecMapping UpdateGoogleSpecMapping( Culture culture, string oldTagValueID, string oldSpecValue, GoogleSpecMapping newGoogleSpecMapping )
        {
            return _specMappingAccess.Update( culture, oldTagValueID, oldSpecValue, newGoogleSpecMapping );
        }

        public GoogleSpecMapping GetOneGoogleSpecMapping( Culture culture, string googleFeedTagValueID, string specificationItemValue )
        {
            return _specMappingAccess.GetOne( culture, googleFeedTagValueID, specificationItemValue );
        }

        public IList<GoogleSpecMapping> GetAllGoogleSpecMapping( Culture culture )
        {
            return _specMappingAccess.GetAll( culture );
        }

        public IList<GoogleSpecMapping> SearchGoogleSpecMapping(
            Culture culture,
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems )
        {
            howManyItems = 0;
            IList<GoogleSpecMapping> listResult = _specMappingAccess.SearchGoogleSpecMapping(
                culture,
                sortBy,
                searchFilter,
                startIndex,
                endIndex,
                out howManyItems );

            return listResult;
        }

        #endregion

        #region Public GoogleOptionMapping Call

        public GoogleOptionMapping SaveGoogleOptionMapping( Culture culture, GoogleOptionMapping googleOptionMapping )
        {
            return _optionMappingAccess.Save( culture, googleOptionMapping );
        }

        public IList<TableSchemaItem> GetGoogleOptionMappingTableSchema()
        {
            return _optionMappingAccess.GetTableSchema();
        }

        public void DeleteGoogleOptionMapping( string googleFeedTagID, string optionGroupID )
        {
            _optionMappingAccess.Delete( googleFeedTagID, optionGroupID );
        }

        public GoogleOptionMapping UpdateGoogleOptionMapping( Culture culture, string oldGoogleFeedTagID, string oldOptionGroupID, GoogleOptionMapping newGoogleOptionMapping )
        {
            return _optionMappingAccess.Update( culture, oldGoogleFeedTagID, oldOptionGroupID, newGoogleOptionMapping );
        }

        public GoogleOptionMapping GetOneGoogleOptionMapping( Culture culture, string googleFeedTagID, string optionGroupID )
        {
            return _optionMappingAccess.GetOne( culture, googleFeedTagID, optionGroupID );
        }

        public IList<GoogleOptionMapping> GetAllGoogleOptionMapping( Culture culture )
        {
            return _optionMappingAccess.GetAll( culture );
        }

        public IList<GoogleOptionMapping> SearchGoogleOptionMapping(
            Culture culture,
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems )
        {
            howManyItems = 0;
            IList<GoogleOptionMapping> resultList = _optionMappingAccess.SearchGoogleOptionMapping(
                culture,
                sortBy,
                searchFilter,
                startIndex,
                endIndex,
                out howManyItems );
            return resultList;
        }

        #endregion
    }
}
