﻿using System;
using Vevo.Domain.Base;
using System.Collections.Generic;
using Vevo.Domain.Configurations;

namespace Vevo.Domain.Products
{
    public interface IBaseCategory : ILocaleLoader, ICloneable
    {
        string GetMetaDescription( Culture culture, string defaultValue );
        string GetMetaKeyword( Culture culture, string defaultValue );
        string GetPageTitle( Culture culture, string defaultValue );

        bool IsCategoryAvailableStore( string storeID );
        bool IsParentsEnable();
        IList<string> GetAvailableStoreIDList();

        bool IsNull { get; }
        string ImageFile{ get; set; }
        string UrlName{ get; set; }
        bool IsEnabled { get; set; }
        int SortOrder { get; set; }
        int DiscountGroupID { get; set; }
        string Other1 { get; set; }
        string Other2 { get; set; }
        string Other3 { get; set; }
        string Other4 { get; set; }
        string Other5 { get; set; }
        string ProductListLayoutPath { get; set; }
        string RootID { get; set; }

        Culture DefaultCulture { get; set; }
        string Name{ get; set; }
        string Description{ get; set; }
        string MetaKeyword{ get; set; }
        string MetaDescription{ get; set; }
    }
}
