using System;
using System.Collections.Generic;
using System.Data.Common;
using System.Text;

using Vevo.Domain.Orders;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IOrderRepository
    {
        Order Save( Order order );
        void Delete( string orderId );
        Order GetOne( string orderID );
        IList<Order> SearchOrder(
            string sortBy,
            SearchFilter searchFilter,
            string extraFilter,
            string storeID,
            int startIndex,
            int endIndex,
            out int howManyItems,
            params DbParameter[] parameterExtraFilter
            );
        IList<Order> SearchOrder(
            string sortBy,
            SearchFilter searchFilter,
            OrderCreateExtraFilter extraFilter,
            string storeID,
            int startIndex,
            int endIndex,
            out int howManyItems,
            params DbParameter[] parameterExtraFilter
           );
        IList<Order> SearchOrder(
            string sortBy,
            SearchFilter searchFilter,
            string extraFilter,
            string storeID,
            out int howManyItems,
            params DbParameter[] parameterExtraFilter );
        IList<Order> SearchOrder(
           string sortBy,
            SearchFilter searchFilter,
            OrderCreateExtraFilter extraFilter,
            string storeID,
            out int howManyItems,
            params DbParameter[] parameterExtraFilter );
        IList<Order> ExportOrder(
            string sortBy,
            SearchFilter searchFilter,
            OrderCreateExtraFilter extraFilter,
            string storeID,
            params DbParameter[] parameterExtraFilter );
        decimal SumOrder(
            SearchFilter searchFilter,
            OrderCreateExtraFilter extrafilter,
            string storeID );
        IList<Order> GetOrdersByProcessedAndStatus( bool processed, string status );
        IList<Order> GetPaidOrdersByDateTime( DateTime? from, DateTime? to );
        IList<Order> GetOrder(
            int startOrderID,
            int numberOfDays,
            int limitCount );
        IList<TableSchemaItem> GetTableSchema();
        IList<TableSchemaItem> GetTableOrderHistorySchema();
        string GetMaximumOrderID();
        void SetStartupOrderID( string startOrderID );
        string GetOrderIDByGatewayID( string gatewayOrderID );
        IList<Order> GetByIsQBExported( bool qbIsExported, string storeID, string existList );
        void SetDefaultQBData( string qbTxnID );
        IList<Order> GetLastestOrder(int limitCount );
    }
}
