using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Products
{
    public class ProductOptionGroup
    {
        #region Private

        private Culture _defaultCulture;
        private string _optionGroupID = String.Empty;
        private bool _useStock;

        #endregion


        #region Constructors

        public ProductOptionGroup( Culture defaultCulture )
        {
            _defaultCulture = defaultCulture;
        }

        #endregion


        #region Public Properties

        public Culture DefaultCulture { get { return _defaultCulture; } set { _defaultCulture = value; } }
        public string OptionGroupID { get { return _optionGroupID; } set { _optionGroupID = value; } }
        public bool UseStock { get { return _useStock; } set { _useStock = value; } }

        #endregion


        #region Custom Properties

        public OptionGroup OptionGroup
        {
            get
            {
                return DataAccessContext.OptionGroupRepository.GetOne( DefaultCulture, OptionGroupID );
            }
        }

        #endregion

    }
}
