﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace Vevo.WebServices.Products
{
    [DataContract( Name = "ProductConstraints" )]
    public class ProductConstraints
    {
        #region Base Contract: Version 4.4

        [DataMember]
        public string ProductID = "0";
        [DataMember( IsRequired = true )]
        public string SKU = String.Empty;
        [DataMember( IsRequired = true )]
        public string Name = String.Empty;
        [DataMember]
        public string ShortDescription = String.Empty;
        [DataMember]
        public string LongDescription = String.Empty;

        [DataMember]
        public string Model = String.Empty;
        [DataMember]
        public string ImageSecondary = String.Empty;
        [DataMember]
        public double Weight = 0;
        [DataMember]
        public bool FixedShippingCost = false;
        [DataMember]
        public decimal ShippingCost = 0;
        [DataMember]
        public string Manufacturer = String.Empty;
        [DataMember]
        public string Keywords = String.Empty;
        [DataMember]
        public IList<String> CategoryIDs = new List<String>();
        [DataMember]
        public IList<String> DepartmentIDs = new List<String>();
        [DataMember]
        public string UrlName = String.Empty;
        [DataMember]
        public bool IsTodaySpecial;
        [DataMember]
        public bool IsDownloadable;
        [DataMember]
        public string DownloadPath = String.Empty;
        [DataMember]
        public bool IsEnabled = true;
        [DataMember]
        public string RelatedProducts = String.Empty;
        [DataMember]
        public double MerchantRating;
        [DataMember]
        public string DiscountGroupID = "0";
        [DataMember]
        public bool IsGiftCertificate;
        [DataMember]
        public bool IsFixedPrice = true;
        [DataMember]
        public string ManufacturerPartNumber = String.Empty;
        [DataMember]
        public string Upc = String.Empty;
        [DataMember]
        public string TaxClassID = "0";
        [DataMember]
        public bool IsParentVisible = true;
        [DataMember]
        public string Other1 = String.Empty;
        [DataMember]
        public string Other2 = String.Empty;
        [DataMember]
        public string Other3 = String.Empty;
        [DataMember]
        public string Other4 = String.Empty;
        [DataMember]
        public string Other5 = String.Empty;
        [DataMember( IsRequired = true )]
        public bool UseInventory = true;
        [DataMember]
        public string ProductDetailsLayoutPath = String.Empty;
        [DataMember]
        public string QBListID = String.Empty;
        [DataMember]
        public bool IsQBExported = false;

        [DataMember]
        public bool IsRecurring;
        [DataMember]
        public bool IsAffiliate;
        [DataMember]
        public bool FreeShippingCost;

        [DataMember]
        public int MinQuantity;
        [DataMember]
        public int MaxQuantity;
        [DataMember]
        public bool IsCustomPrice;
        [DataMember]
        public bool IsCallForPrice;
        [DataMember]
        public string Brand;

        [DataMember]
        public ProductRecurringConstraints ProductRecurring;
        [DataMember]
        public ProductMetaInformationConstraints MetaInformation;
        [DataMember( IsRequired = true )]
        public ProductStockConstraints ProductStocks;
        [DataMember( IsRequired = true )]
        public ProductPriceConstraints ProductPrices;
        [DataMember]
        public ProductCustomPriceConstraints ProductCustomPrice;

        [DataMember]
        public IList<ProductOptionGroupConstraints> ProductOptionGroups;

        [DataMember]
        public IList<ProductImageConstraints> ProductImages;

        [DataMember]
        public IList<ProductShippingCostConstraints> ProductShippingCosts;

        [DataMember]
        public IList<ProductSpecificationConstraints> ProductSpecifications;

        [DataMember]
        public IList<ProductSubscriptionConstraints> ProductSubscriptions;

        #endregion

        #region Base Contract: Version 5.3

        [DataMember]
        public int ReturnTime;

        [DataMember]
        public IList<ProductKitConstraints> ProductKits;

        [DataMember]
        public bool IsProductKit;
        [DataMember]
        public bool IsDynamicProductKitPrice;
        [DataMember]
        public bool IsDynamicProductKitWeight;


        #endregion

        #region Base Contract: Version 5.4
        [DataMember]
        public DateTime CreateDate;
        [DataMember]
        public int ViewCount;
        #endregion
    }
}
